import { utils } from '@qubejs/core';
declare const setDefaults: typeof utils.format.setDefaults;
declare const formatters: {
    currency: (value: any, options?: {}) => any;
    currencyAbr: (value: any, options?: {}) => string;
    number: (value: any, options?: {}) => any;
    numberAbr: (value: any, options?: {}) => string;
    dateFull: (value: any, options?: {}) => any;
    dateForTimezone: (value: any, options?: {}) => any;
    shortDate: (value: any, options?: {}) => any;
    dateOnly: (value: any, options?: {}) => any;
    monthYear: (value: any, options?: {}) => any;
    dateFullTime: (value: any, options?: {}) => any;
    time: (value: any, options?: {}) => any;
    date: (value?: any, { format }?: {
        format?: string;
    }) => any;
    phoneNumber: (value: any) => any;
    custom: (value: any, { format, ...rest }: any) => any;
    strFix: (value: any, { postfix, prefix }?: any) => any;
    percentage: (value: any, options?: any) => string;
    absPercentage: (value: any, { decimals, sign }: {
        decimals?: number;
        sign?: string;
    }) => string;
    keyValue: (value: any, { options, defaultValue }?: {
        options?: {};
        defaultValue?: string;
    }) => any;
};
declare const addFormatter: (name: any, formatter: any) => void;
declare const getFormatters: () => {
    currency: (value: any, options?: {}) => any;
    currencyAbr: (value: any, options?: {}) => string;
    number: (value: any, options?: {}) => any;
    numberAbr: (value: any, options?: {}) => string;
    dateFull: (value: any, options?: {}) => any;
    dateForTimezone: (value: any, options?: {}) => any;
    shortDate: (value: any, options?: {}) => any;
    dateOnly: (value: any, options?: {}) => any;
    monthYear: (value: any, options?: {}) => any;
    dateFullTime: (value: any, options?: {}) => any;
    time: (value: any, options?: {}) => any;
    date: (value?: any, { format }?: {
        format?: string;
    }) => any;
    phoneNumber: (value: any) => any;
    custom: (value: any, { format, ...rest }: any) => any;
    strFix: (value: any, { postfix, prefix }?: any) => any;
    percentage: (value: any, options?: any) => string;
    absPercentage: (value: any, { decimals, sign }: {
        decimals?: number;
        sign?: string;
    }) => string;
    keyValue: (value: any, { options, defaultValue }?: {
        options?: {};
        defaultValue?: string;
    }) => any;
};
declare const setFormatters: (newFormatters: any) => void;
export { getFormatters, setFormatters, formatters, setDefaults, addFormatter };
